using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;
using System.Collections;

public partial class _Default : System.Web.UI.Page
{
    public IEnumerable<Seminar> Items
    {
        get
        {
            yield return new Normal() { ID = 1, Name = "Name1", NormalName = "NormalName1" };
            yield return new Normal() { ID = 2, Name = "Name2", NormalName = "NormalName2" };
            yield return new Normal() { ID = 3, Name = "Name3", NormalName = "NormalName3" };
            yield return new Normal() { ID = 4, Name = "Name4", NormalName = "NormalName4" };
        }
    }
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        RadGrid1.NeedDataSource += new Telerik.Web.UI.GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
    }

    void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = Items;
    }
}

public class Seminar
{
    public int ID { get; set; }
    public string Name { get; set; }
}

public class Debate : Seminar
{
    public string DebateName { get; set; }
}

public class Break : Seminar
{
    public string BreakName { get; set; }
}

public class Normal : Seminar
{
    public string NormalName { get; set; }
}